Resize Compute Profile
curl --request POST \
--url https://api.allium.so/api/v1/explorer/compute-profiles/{identifier}/size \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '{}'import requests
url = "https://api.allium.so/api/v1/explorer/compute-profiles/{identifier}/size"
payload = {}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.allium.so/api/v1/explorer/compute-profiles/{identifier}/size', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"identifier": "<string>",
"name": "<string>",
"size": "1x",
"is_default": true,
"queued": 123,
"running": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Explorer API
Resize compute profile
Change a compute profile’s speed multiplier over the organization’s base warehouse. Requires an organization admin’s API key.
POST
/
api
/
v1
/
explorer
/
compute-profiles
/
{identifier}
/
size
Resize Compute Profile
Change an existing compute profile’s speed multiplier over your organization’s base warehouse.
size accepts 1x, 2x, 4x, 8x, or 16x.
Requires an organization admin’s API key.
Authorizations
Path Parameters
Body
application/json
Compute size as a speed multiplier over your organization's base warehouse.
Available options:
1x, 2x, 4x, 8x, 16x Response
Successful Response
An Explorer compute profile and the current depth of its query queue.
Was this page helpful?